package com.diagbot.vo;

import java.io.Serializable;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: 用于修改用户信息及机构信息
 * @date 2018年9月18日 下午3:06:58
 */
@Getter
@Setter
public class UserInfoOrganizationsVO implements Serializable {
	
	  private Date gmtModified;//修改时间
	  private String modifier;//修改人id
	  private String email;//邮箱
	  private String principal;//负责人
	  private String address;//单位地址
	  private Integer type;//机构属性
	  private String position;//岗位部门
	  private String isReject;//是否通过认证 N:未通过，Y:已通过
	  private Integer rejectType;//未通过类型
	  private String rejectComment;//认证被拒理由
	  private String status;//认证状态（0：未认证，1：已认证，2：认证中）
	  private Long userId;//用户id
	
	@Override
	public String toString() {
		return "UserInfoOrganizations [gmtModified=" + gmtModified + ", modifier="
				+ modifier + ", email=" + email + ", principal=" + principal + ", address=" + address + ", type=" + type
				+ ", position=" + position + ", isReject=" + isReject + ", rejectType=" + rejectType
				+ ", rejectComment=" + rejectComment + ", status=" + status + ", userId=" + userId + "]";
	}
	  
	  

}
