package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.OpenedProducts;

/**
 * <p>
 * 已开通产品 服务类
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
public interface OpenedProductsService extends IService<OpenedProducts> {
    /**
     * 根据用户id查询已开通的产品
     * @param userId 用户id
     * @return
     */
    IPage<OpenedProducts> selectOpendInfoByUserId(Page<OpenedProducts> page, int userId);
}
